%define name	gnomebaker
%define version	0.3
%define release 2mdk

Name: 	 	%{name}
Summary: 	Simple CD burning frontend for GNOME
Version: 	%{version}
Release: 	%{release}

Source:		http://prdownloads.sourceforge.net/gnomebaker/%{name}-%{version}.tar.bz2
URL:		http://biddell.co.uk/gnomebaker.php
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick libgnomeui2-devel libglade2.0-devel bison
BuildRequires:	libvorbis-devel
BuildRequires:	scrollkeeper
Requires:	cdrecord cdrecord-cdda2wav mkisofs
Requires:	mpg123 vorbis-tools sox

%description
GnomeBaker is a GTK2/Gnome cd burning application.
So far it can do the following:
    * Create data cds
    * Blank rewritable disks
    * Copy data cds
    * Copy audio cds
    * Burn existing cd iso images
    * Can burn via scsi and atapi on linux kernels 2.4 and 2.6. Basically if
      cdrecord works then GnomeBaker will work.
    * Drag and drop to create data cds (including DnD to and from nautilus)
    * Create audio cds from existing wavs, mp3 and oggs

%prep
%setup -q

%build
%configure2_5x
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%_prefix/doc

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="GnomeBaker" longtitle="CD burning" section="System/Archiving/CD Burning"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog NEWS TODO README
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_datadir}/omf/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Tue Feb 15 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- source URL
- fix buildrequires

* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 0.3-1mdk
- 0.3

* Sat Jan 22 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-0.20050119.2mdk
- fix buildrequires

* Wed Jan 19 2005 Austin Acton <austin@mandrake.org> 0.2.1-0.20050119.1mdk
- cvs 20050119

* Mon Nov 22 2004 Austin Acton <austin@mandrake.org> 0.2-1mdk
- 0.2
- source URL
- require some minor audio tools

* Sat Nov 6 2004 Austin Acton <austin@mandrake.org> 0.1-1mdk
- initial package
